package stackjava.com.hibernatedemo.dao;

import javax.persistence.*;

import stackjava.com.hibernatedemo.entities.Company;

public class CompanyDAO {
	EntityManagerFactory entityManagerFactory = Persistence.createEntityManagerFactory("persistence");

	public Company findById(int id) {
		EntityManager entityManager = entityManagerFactory.createEntityManager();
		Company company = entityManager.find(Company.class, id);
		entityManager.close();
		return company;
	}

	public Company save(Company company) {
		EntityManager entityManager = entityManagerFactory.createEntityManager();
		entityManager.getTransaction().begin();
		entityManager.persist(company);
		entityManager.getTransaction().commit();
		entityManager.close();
		return company;
	}

	public void close() {
		entityManagerFactory.close();
	}

}
